libtcod0_1.7.0+dfsg-2_i386.deb


Advertisement

Description

libtcod0 - graphics and utility library for roguelike developers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libtcod0_1.7.0+dfsg-2_i386.deb
Package name libtcod0
Package version 1.7.0+dfsg
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://bitbucket.org/libtcod/libtcod
License -
Maintainer Fabian Wolff <fabi.wolff@arcor.de>
Download size 218.05 KB
Installed size 660.00 KB
Libtcod offers a free, fast, portable and uncomplicated API for
roguelike developers providing an advanced true color console, input
and lots of other utilities frequently used in roguelikes.
This package contains the runtime libraries. You shouldn't have to
install it manually.

Alternatives

Package Version Architecture Repository
libtcod0_1.7.0+dfsg-2_amd64.deb 1.7.0+dfsg amd64 Debian Main
libtcod0 - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:3.0
libsdl2-2.0-0 >= 2.0.8
libstdc++6 >= 5
libx11-6 -
zlib1g >= 1:1.1.4

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libtcod0_1.7.0+dfsg-2_i386.deb
Source Package libtcod

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtcod0 deb package:
    # sudo apt-get install libtcod0

Files

Path
/usr/lib/i386-linux-gnu/libtcod.so.0
/usr/lib/i386-linux-gnu/libtcod.so.0.0.0
/usr/lib/i386-linux-gnu/libtcodgui.so.0
/usr/lib/i386-linux-gnu/libtcodgui.so.0.0.0
/usr/lib/i386-linux-gnu/libtcodxx.so.0
/usr/lib/i386-linux-gnu/libtcodxx.so.0.0.0
/usr/share/doc/libtcod0/changelog.Debian.gz
/usr/share/doc/libtcod0/changelog.gz
/usr/share/doc/libtcod0/copyright

Changelog

2018-07-05 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.7.0+dfsg-2) unstable; urgency=medium
* Add 02-vsnwprintf.patch to fix build failures on ppc*/powerpc*
platforms caused by an undefined reference to `vsnwprintf'
(Closes: #901859).
2018-06-17 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.7.0+dfsg-1) unstable; urgency=medium
* New upstream release.
* Update debian/copyright.
* Update patches:
- Refresh 00-fix-makefile.patch.
- Remove 01-fix-cppcheck.patch (fixed upstream).
- Rename (and refresh) patch 02-python-multiarch.patch to
01-python-multiarch.patch.
- Remove 03-include-files.patch (fixed upstream).
* Update debian/rules.
* Update symbols file.
2018-05-19 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.7+dfsg-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Update debian/rules (filename of upstream changelog has changed).
2018-05-01 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.6+dfsg-1) unstable; urgency=medium
* New upstream release.
* Update patches:
- Refresh 00-fix-makefile.patch.
- Remove 03-disable-rexpaint.patch (fixed upstream).
- Remove 04-include-pstdint.h.patch (fixed upstream).
- Add 03-include-files.patch.
* Update symbols file.
* Upgrade to Standards-Version 4.1.4 in debian/control (no changes).
* Update debian/copyright.
* Add python3-libtcod package.
* Restrict the libtcod0 and libtcod-dev packages to linux-any.
2018-03-25 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.5+dfsg-1) unstable; urgency=medium
* New upstream release.
* Update 03-disable-rexpaint.patch.
* Add Vcs-Git and Vcs-Browser fields in debian/control.
* Upgrade to Standards-Version 4.1.3 in debian/control (no changes).
* Add 04-include-pstdint.h.patch (Closes: #892053).
* Upgrade to debhelper compat level 11 (no changes).
* Update debian/copyright.
2017-12-24 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.4+dfsg-2) unstable; urgency=medium
* Add patch 03-disable-rexpaint.patch to remove support for loading
and saving REXPaint files (Closes: #884000).
2017-12-09 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.4+dfsg-1) unstable; urgency=medium
* New upstream release.
* Add Files-Excluded field in debian/copyright.
* Refresh patches.
* Upgrade to Standards-Version 4.1.2:
debian/control: change priority from "extra" to "optional"
* Update symbols file.
2017-06-21 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.3+dfsg-1) unstable; urgency=medium
* New upstream release.
* debian/control: Upgrade to Standards-Version 4.0.0 (no changes).
* Upgrade to debhelper compat level 10.
* Update symbols file.
* Update debian/copyright.
* Refresh patches.
2016-10-21 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.1+dfsg-1) unstable; urgency=medium
* New upstream release.
* Fix debian/watch.
* Update patches:
- Remove 0001-Use-global-zlib.h.patch (fixed upstream).
- Rewrite 0002-Fix-soname.patch as 00-fix-makefile.patch.
- Remove 0003-Fix-spelling-errors.patch (fixed upstream).
- Remove 0005-Fix-warnings.patch (fixed upstream).
- Rename patch 0004-Fix-cppcheck.patch as 01-fix-cppcheck.patch.
* Update symbols file.
* Adjust debian/rules.
* Update debian/copyright.
* Install upstream changelog.
* Add the python-libtcod package.
* Add patch 02-python-multiarch.patch to help the Python wrapper find
libtcod.so in /usr/lib/<MULTIARCH>/.
* Add debian/clean file and override_dh_auto_clean target in debian/rules.
2016-04-26 - Fabian Wolff <fabi.wolff@arcor.de>
libtcod (1.6.0~pre1+dfsg-1) unstable; urgency=medium
* Initial release. Closes: #704587

See Also

Package Description
libtcpcrypt-dev_0.5-1+b1_i386.deb Library to retrieve the tcpcrypt session ID where available
libtcpcrypt0_0.5-1+b1_i386.deb Library to retrieve the tcpcrypt session ID where available
libtcplay-dev_1.1-6_i386.deb Free and simple TrueCrypt Implementation based on dm-crypt
libtcplay_1.1-6_i386.deb Free and simple TrueCrypt Implementation based on dm-crypt
libtdb-dev_1.3.16-2+b1_i386.deb Trivial Database - development files
libtdb1_1.3.16-2+b1_i386.deb Trivial Database - shared library
libteam-dev_1.28-1_i386.deb library for controlling team network device -- dev files
libteam-utils_1.28-1_i386.deb library for controlling team network device -- userspace utilities
libteam5_1.28-1_i386.deb library for communication with Netlink kernel module
libteamdctl0_1.28-1_i386.deb library for communication with `teamd` process
libteckit-dev_2.5.8+ds2-5_i386.deb Development files for TECkit encoding conversion library
libteckit0_2.5.8+ds2-5_i386.deb Encoding conversion library
libtecla-dev_1.6.3-2.1_i386.deb interactive command line editing facilities (development)
libtecla1_1.6.3-2.1_i386.deb interactive command line editing facilities
libtelepathy-farstream-dev_0.6.2-1+b1_i386.deb Glue library between telepathy and farstream (development files)
Advertisement
Advertisement